#
# Site specific configuration
#


COMPILER= gcc.exe
INST_DIR= /usr/local/Hughes
HAVE_DYNAMIC= -DHAVE_DYNAMIC
CC_ONLY_FLAGS= -Zcrtdll -Zomf -mpentium
LINK_ONLY_FLAGS= -Zomf -Zexe -Zsysv-signals -Zcrtdll -Zstack 8192 -s


#
# Things below here shouldn't need to be changed
#
CC= $(COMPILER) $(CC_ONLY_FLAGS)
LINK= $(COMPILER) $(LINK_ONLY_FLAGS)
CPP= gcc.exe -E
RANLIB= echo
AR= emxomfar
LN_S= cp
BASE_SOURCE_DIR= $(TOP)

YACC= bison -y --no-lines

SIGLIST= 
DIRENT= -DHAVE_DIRENT_H -DHAVE_DIRENT
MMAP= -DHAVE_MMAP
MSYNC= -DMSYNC_3
U_INT= -DHAVE_U_INT
SSIZE_T= -DHAVE_SSIZE_T
BITTYPES= 
SYS_ERR= -DHAVE_SYS_ERRLIST
TARGET= OS/2 Warp build 1
WORKING_RLIMIT= 
HAVE_ISDST= -DHAVE_ISDST

# Extra libraries if required
EXTRA_LIB= -ldl -lsocket -lmmap -lbsd

# Any other CFlags required
EXTRA_CFLAGS= -DHAVE_CONFIG_H $(SSIZE_T) $(U_INT) $(BITTYPES)

# Directory for pid file
PID_DIR= 

CFLAGS= -O3 -mpentium -I$(TOP)/ $(EXTRA_CFLAGS) -D$(OS_TYPE) -DTCPIPV4
LDLIBS= -L$(TOP)/lib $(EXTRA_LIB)
